SDPQUERY(1) | General Commands Manual | SDPQUERY(1)

# NAME

`sdpquery` — Service Discovery Protocol query utility

# SYNOPSIS

`sdpquery` | [`-NRX`] [`-d` device] `-a` address command [parameters ...]

`sdpquery` | [`-NRX`] [`-c` path] `-l` command [parameters ...]

# DESCRIPTION

The `sdpquery` utility attempts to query the specified Service Discovery Protocol (SDP) server. Remote SDP servers are identified by their address. Connection to the local SDP server is made via the control socket. The `sdpquery` utility retrieves complete Service Records as directed and prints each record's attribute ID/value list to standard output and error messages to standard error.

The options are as follows:

`-a` address
  Connect to the remote device with the specified address. The address can be specified as BD_ADDR or a name. If a name was specified, the `sdpquery` utility attempts to resolve the name via bt_gethostbyname(3). If no remote address is given, `sdpquery` attempts to contact a local SDP server via the control socket.
`-c` path
  Specify path to the control socket. The default path is /var/run/sdp.
`-d` device
  Connect from the local device with the specified address. The device can be specified by BD_ADDR or device name. See btconfig(8) for a list of devices available. If no device is specified, the `sdpquery` utility will use the best available.
`-l`
  Query the local SDP server via the control socket.
`-N`
  Additionally display numerical values.
`-R`
  Display service attributes in raw (uninterpreted) format.
`-X`
  Display service attribute values in hex.

The currently supported commands in `sdpquery` are:

`Browse` [group]
  Browse for services. The group parameter is the UUID of the group to browse. If omitted, the "Public Browse Group" is used.

`Record` handle [handle...]
  Retrieve the Service Record with the given handle. Multiple handles can be given.

`Search` uuid [uuid...]
  Search for records matching the list of UUIDs which can be given in numerical form, or the following aliases are known:

  A2DP
    Advanced Audio Distribution Profile
  BNEP
    Bluetooth Network Encapsulation Protocol
  CIP
    Common ISDN Access Service
  CTP
    Cordless Telephony Service
  DUN
    Dialup Networking Service
  FAX
    Fax Service
  FTRN
    File Transfer Service
  GN
    Group ad-hoc Network Service
  HID
    Human Interface Device Service
  HF
    Handsfree Service
  HSET
    Headset Service
  L2CAP
    Logical Link Control and Adaptation Protocol
  LAN
    LAN Access Using PPP Service
  NAP
    Network Access Point Service
  OBEX
    Object Exchange Protocol
  OPUSH
    Object Push Service
  PANU
    Personal Area Networking User Service
  PNP
    Plug'n'Play Information Service
  RFCOMM
    RFCOMM Protocol
  SDP
    Service Discovery Protocol
  SP
    Serial Port Service
  SYNC
    IrMC Sync Client Service

  Note that in order for a record to match, it must contain all the UUIDs in the ServiceSearchPattern and the maximum number is 12.

# EXIT STATUS

The `sdpquery` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

bluetooth(3), sdp(3), btconfig(8), sdpd(8)

# HISTORY

The `sdpquery` command first appeared in FreeBSD 5.3 as `sdpcontrol`. It was ported to NetBSD 4.0 under its present name by Iain Hibbert under the sponsorship of Itronix, Inc.

# AUTHORS

Maksim Yevmenkin <m_evmenkin@yahoo.com>
Iain Hibbert for Itronix, Inc.

October 6, 2009 | NetBSD 11.0